import greenfoot.*;

public class Welt extends World
{
    public static final int c=3, x=200*c, y=200*c;
    
    public Welt()
    {
        super(x, y, 1, false);
        initialisieren();
    }
    
    
    
    private void initialisieren()
    {
        Greenfoot.setSpeed(50);
        GreenfootImage bg = new GreenfootImage(x,y);
        bg.setColor(Color.BLUE);
        bg.fill();
        setBackground(bg);
        
        for (int i=0; i<x/c; i++) for (int j=0; j<y/c; j++)
        {
            if (r(30)==0) addObject(new Fisch(), rund(i*c), rund(j*c));
            //else if (r(7000)==0) addObject(new Räuber(), rund(i*c), rund(j*c));
        }
        
        for (int i=0; i<5; i++) addObject(new Räuber(), r(x/c)*c, r(x/c)*c);
    }
    
    /*public void changeDirection()
    {
        for (Object obj : getObjects(Fisch.class))
        {
            Fisch f = (Fisch) obj;
            f.setRot(180);
        }
    }*/
    
    private int rund(int i)
    {
        return i -= i%c-c/2;
    }
    
    /*private int rund(final double i)
    {
        return rund((int)i);
    }*/
    
    
    private int r(final int s)
    {
        return Greenfoot.getRandomNumber(s);
    }
}
