import greenfoot.*;
import java.util.ArrayList;

public class Fisch extends SmoothMover
{
    private ArrayList<Double> x=new ArrayList(0), y=new ArrayList(0);
    
    public Fisch()
    {
        GreenfootImage img = new GreenfootImage(Welt.c, Welt.c);
        img.setColor(Color.GREEN);
        img.fill();
        setImage(img);
        
        setRot(r(360));
    }
    
    public void act() 
    {
        move(1);
        boolean gegner = false;
        double x0 = getExactX();
        double y0 = getExactY();
        for (Object obj : getObjectsInRange(Welt.c*10, Räuber.class))
        {
            Räuber räuber = (Räuber) obj;
            double x1 = räuber.getExactX(), y1 = räuber.getExactY();
            double r = Math.hypot(x0-x1, y0-y1);
            x.add((x0-x1)/r);
            y.add((y0-y1)/r);
            gegner = true;
        }
        
        if (gegner)
        {
            double tx = getExactX();
            double ty = getExactX();
            for (int i=0; i<x.size(); i++) 
            {
                tx += x.get(i)*1000;
                ty += y.get(i)*1000;
            }
            turnTowards((int)tx,(int)ty);
            
            x=new ArrayList(0);
            y=new ArrayList(0);
        }
        else
        {
            double f=0, n=0;
            double myRot=getExactRotation();
            
            for (Object obj : getObjectsInRange(Welt.c*5,Fisch.class))
            {
                Fisch fisch = (Fisch) obj;
                f += fisch.getExactRotation();
                n++;
            }
            if (n>0)
            {
                f /= n;
                //if (myRot-f < -180 || f-myRot < -180) f+=360;
                if (myRot-f > 180) f+=360;
                else if (myRot-f < -180) f-=360;
                turn((f-myRot)/10 + r(19)-9);
            }
            else turn(r(39)-19);
        }
        
        if (x0 < 0) setLocation(Welt.x+x0, y0);
        else if (x0 > Welt.x-1) setLocation(Welt.x-x0, y0);
        
        if (y0 < 0) setLocation(x0, Welt.y+y0);
        else if (y0 > Welt.y-1) setLocation(x0, Welt.y-y0);
    }
}
